@ECHO OFF
CLS ECHO.
ECHO.
ECHO This install assumes that you have MS-Dos 6.0 or later,
ECHO which includes Win '95.
ECHO Users that do not have an earlier version of DOS, should type:
ECHO [your CD-Rom drive letter(usually D)]:\data\install at the DOS prompt
ECHO Note: If you are having problems, try the above solution first.
PAUSE
CLS ECHO.
ECHO.
ECHO Which would you like to install?
ECHO.
ECHO   A - Al Qadim: The Genie's Curse
ECHO   B - Acrobat Document Reader for DOS.  Needed to read the game manual.
ECHO   C - Windows instructions
ECHO   Q - Quit
ECHO.
CHOICE /C:ABCQ Enter Choice:
IF ERRORLEVEL 4 GOTO FINISH
IF ERRORLEVEL 3 GOTO WIN
GOTO DONE
:WIN
ECHO In order to install Al Qadim: The Genie's Curse, win '95 users should restart
ECHO in MS-DOS mode.  This is a dos game, that may not run in a windows environment.
ECHO In addition, this CD has Acrobat for windows.  Windows users(3.1 & '95)
ECHO should use the windows version of Acrobat, it is more supported.
ECHO In order to install Acrobat, use the following "Run" command... 
ECHO   [Your CD-Rom Drive]:\acrowin\acroread.exe  
ECHO Win '95 users please remember to run and install Al Qadim from the MS-DOS
ECHO prompt, by selecting the start button on the menu bar, and selecting
ECHO restart in MS-DOS mode.
GOTO FINISH
:DONE
IF EXIST h:\acrodos\acrobat.001 GOTO HH
IF EXIST g:\acrodos\acrobat.001 GOTO GG
IF EXIST f:\acrodos\acrobat.001 GOTO FF
IF EXIST e:\acrodos\acrobat.001 GOTO EE
IF EXIST d:\acrodos\acrobat.001 GOTO DD
IF EXIST c:\acrodos\acrobat.001 GOTO CC
ECHO Make sure the CD is in the drive.
PAUSE
GOTO DONE
:HH
H:
GOTO DIRECT
:GG
G:
GOTO DIRECT
:FF
F:
GOTO DIRECT
:EE
E:
GOTO DIRECT
:DD
D:
GOTO DIRECT
:CC
C:
GOTO DIRECT
:DIRECT
IF ERRORLEVEL 2 cd acrodos
IF ERRORLEVEL 2 GOTO CALL
IF ERRORLEVEL 1 cd data
IF ERRORLEVEL 1 GOTO CALL
:CALL
install %1
IF ERRORLEVEL 2 GOTO FINISH
ECHO You will need a to look at the file codes.txt to pass copy protection.
goto FINISH
:FINISH


